# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/gars/GARS.cpp File Reference

`#include <ctype.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "GARS.h"`
`#include "GARSCoordinates.h"`
`#include "MapProjectionCoordinates.h"`
`#include "GeodeticCoordinates.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`

Go to the source code of this file.

## Variables

const double | MIN_LATITUDE = -90.0
const double | MAX_LATITUDE = 90.0
const double | MIN_LONGITUDE = -180.0
const double | MAX_LONGITUDE = 360.0
const double | MIN_PER_DEG = 60
const int | GARS_MINIMUM = 5
const int | GARS_MAXIMUM = 7
const int | GARS_LETTERS = 4
const int | MAX_PRECISION = 5
const int | LETTER_A_OFFSET = 65
const double | PI = 3.14159265358979323e0
const double | PI_OVER_180 = PI / 180.0
const double | RADIAN_TO_DEGREE = 180.0e0 / PI
const int | LETTER_I = 8
const int | LETTER_O = 14
const char | _1 = '1'
const char | _2 = '2'
const char | _3 = '3'
const char | _4 = '4'
const char | _5 = '5'
const char | _6 = '6'
const char | _7 = '7'
const char | _8 = '8'
const char | _9 = '9'

## Variable Documentation

const char _1 = '1'

Definition at line 134 of file GARS.cpp.

const char _2 = '2'

Definition at line 135 of file GARS.cpp.

const char _3 = '3'

Definition at line 136 of file GARS.cpp.

const char _4 = '4'

Definition at line 137 of file GARS.cpp.

const char _5 = '5'

Definition at line 138 of file GARS.cpp.

const char _6 = '6'

Definition at line 139 of file GARS.cpp.

const char _7 = '7'

Definition at line 140 of file GARS.cpp.

const char _8 = '8'

Definition at line 141 of file GARS.cpp.

const char _9 = '9'

Definition at line 142 of file GARS.cpp.

const int GARS_LETTERS = 4

Definition at line 120 of file GARS.cpp.

const int GARS_MAXIMUM = 7

Definition at line 119 of file GARS.cpp.

const int GARS_MINIMUM = 5

Definition at line 118 of file GARS.cpp.

const int LETTER_A_OFFSET = 65

Definition at line 122 of file GARS.cpp.

const int LETTER_I = 8

Definition at line 128 of file GARS.cpp.

const int LETTER_O = 14

Definition at line 130 of file GARS.cpp.

const double MAX_LATITUDE = 90.0

Definition at line 114 of file GARS.cpp.

const double MAX_LONGITUDE = 360.0

Definition at line 116 of file GARS.cpp.

const int MAX_PRECISION = 5

Definition at line 121 of file GARS.cpp.

const double MIN_LATITUDE = -90.0

Definition at line 113 of file GARS.cpp.

const double MIN_LONGITUDE = -180.0

Definition at line 115 of file GARS.cpp.

const double MIN_PER_DEG = 60

Definition at line 117 of file GARS.cpp.

const double PI = 3.14159265358979323e0

Definition at line 123 of file GARS.cpp.

const double PI_OVER_180 = PI / 180.0

Definition at line 124 of file GARS.cpp.

const double RADIAN_TO_DEGREE = 180.0e0 / PI

Definition at line 125 of file GARS.cpp.